#ifndef DEBTAGS_EXPRESSION_H
#define DEBTAGS_EXPRESSION_H

/** \file
 * Match tag expressions against sets of Debtags items
 */

/*
 * Copyright (C) 2003,2004,2005  Enrico Zini <enrico@debian.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <tagcoll/Expression.h>
#include <tagcoll/OpSet.h>
#include <debtags/Tag.h>

namespace Tagcoll
{

template<>
bool Expression::operator()(const OpSet<Debtags::Tag>& tags) const;

template<>
bool Expression::operator()(const OpSet<Debtags::Facet>& tags) const;

};

// vim:set ts=4 sw=4:
#endif
