#ifndef DEBTAGS_STATUS_H
#define DEBTAGS_STATUS_H

/*
 * Report status about a Debtags operation
 *
 * Copyright (C) 2005  Enrico Zini <enrico@debian.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <string>

namespace Debtags
{

/**
 * Report status about a Debtags operation
 */
class Status
{
public:
	virtual ~Status() {}

	/**
	 * Update the status
	 *
	 * @returns
	 *   true if the operation can continue, or false if it should be interrupted.
	 */
	virtual bool advance(int cur = 1) = 0;

	/**
	 * Set the total indicator
	 *
	 * @param
	 *   total the new total indicator, representing the amount of operations
	 *   to be performed to complete the task tracked by this status
	 */
	virtual void setTotal(int total) throw () {}
};

};

// vim:set ts=4 sw=4:
#endif
