#!/usr/bin/perl -w

use strict;
use warnings;
use lib '.';
use Debtags;

my $dt = Debtags::DebtagsSimple->new(0);
my $voc = $dt->vocabulary();

#my $voc = Debtags::Vocabulary->new("/var/lib/debtags/vocabulary", "/var/lib/debtags/vocabulary.idx");

if ($voc->hasFacet("accessibility"))
{
	print "hasFacet ok\n";
}

my $fac = $voc->getFacet("accessibility");

print "Tags in 'accessibility::': ";

print join(', ', map { $_->name() } @{$fac->tags()->getIterable()});

print "\n";

my $tdb = $dt->tagDB();

#print "Has tag database" if $tdb->hasTagDatabase();

print "Tags for 'debtags': ", join(', ', map { $_->fullname() } @{$dt->getTags('debtags')->getIterable()}), "\n";

my $editing = $voc->getTag("use::editing");

print $editing->fullname(), "\n";

my $tags = Debtags::TagSet->new();
$tags->insert($editing);
$tags->insert($voc->getTag('media::rasterimage'));

#editors = dt.getPackages(editing)
my $editors = $dt->getPackages($tags);

print "Raster image editors: ", join(', ', map { $_->name() } @{$editors->getIterable()} ), "\n";

