#include <debtags/Tags.h>
#include <debtags/Utils.h>

#include <set>

using namespace std;
using namespace Debtags;

int main (int argc, char *argv[])
{
	try {
		// Install the handler for unexpected exceptions
		InstallUnexpected installUnexpected;

		Converter<string, string> conv;
		Tags<string> debtags(conv, conv);
		SearchHelper<string> search(debtags);

		search.addStartPackage("bluefish");
		search.addStartPackage("dfsbuild");
		search.addStartPackage("digikam");
		search.addStartPackage("digikamimageplugins");
		search.addStartPackage("elvis");
		search.addStartPackage("gnome-core");
		search.addStartPackage("gnome-office");
		search.addStartPackage("kdegraphics");
		search.addStartPackage("kimagemapeditor");
		search.addStartPackage("kino-timfx");
		search.addStartPackage("kinoplus");
		search.addStartPackage("passepartout");
		search.addStartPackage("phpgroupware-img");
		search.addStartPackage("pixmap");
		search.addStartPackage("scribus");
		search.addStartPackage("tea");
		search.addStartPackage("therion");
		search.addStartPackage("xbase-clients");
		search.addStartPackage("xpaint");
		search.addStartPackage("ida");
		search.addStartPackage("chntpw");
		search.addStartPackage("spectrum-roms");
		search.compute();

		OpSet<string> found = search.getFound();
		for (OpSet<string>::const_iterator i = found.begin();
				i != found.end(); i++)
			fprintf(stdout, "Found: %.*s\n", PFSTR(*i));
	} catch (Exception& e) {
		fprintf(stderr, "%s: %.*s\n", e.type(), PFSTR(e.desc()));
	}
}

// vim:set ts=4 sw=4:
