#include <debtags/Tags.h>

using namespace std;
using namespace Debtags;
using namespace Tagcoll;

int main (int argc, char *argv[])
{
	try {
		// Install the handler for unexpected exceptions
		InstallUnexpected installUnexpected;

		Converter<string, string> conv;
		Tags<string> debtags(conv, conv);
		OpSet<Tag> ts;

		for (int i = 1; i < argc; i++)
			ts += debtags.vocabulary().getTag(argv[i]);

		OpSet<string> ps = debtags.getItems(ts);
		
		for (OpSet<string>::const_iterator i = ps.begin(); i != ps.end(); i++)
			printf("%.*s\n", PFSTR(*i));
	} catch (Exception& e) {
		fprintf(stderr, "%s: %.*s\n", e.type(), PFSTR(e.desc()));
	}
}

// vim:set ts=4 sw=4:
