#include <debtags/Tags.h>
#include <debtags/Serializer.h>

#include <tagcoll/ItemGrouper.h>
#include <tagcoll/TextFormat.h>

#include <set>

using namespace std;
using namespace Debtags;


int main (int argc, char *argv[])
{
	try {
		// Install the handler for unexpected exceptions
		InstallUnexpected installUnexpected;

		Converter<string, string> conv;
		Tags<string> debtags(conv, conv);

		int result = 0;
		
		TextFormat<string, string> writer(conv, conv, stdout);

		if (argc == 1)
		{
			ItemGrouper<string, string> grouper;
			debtags.outputPatched(grouper);
			grouper.output(writer);
		} else
			debtags.outputPatched(writer);

		return result;
	} catch (Exception& e) {
		fprintf(stderr, "%s: %.*s\n", e.type(), PFSTR(e.desc()));
	}
}

// vim:set ts=4 sw=4:
